Oracle Coherence for C++ API
Release 3.6.0.0
E15728-01

- Main Page
- Namespaces
- Classes
- Files

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# ArrayFilter::WeightedFilter Class Reference

`#include <coherence/util/filter/ArrayFilter.hpp>`

Inherits Object, and Comparable.

List of all members.

## Detailed Description

A thin wrapper around a Filter allowing for sorting the filters according to their effectiveness.

Author:
  tb 2009.02.09

## Public Types
typedef spec::Handle | Handle
| WeightedFilter Handle definition.
typedef spec::View | View
| WeightedFilter View definition.
typedef spec::Holder | Holder
| WeightedFilter Holder definition.
## Public Member Functions
int32_t | compareTo (Object::View v) const
| Compares this WeightedFilter with the specified WeightedFilter for order.
Filter::View | getFilter () const
| Get the wrapped filter.
int32_t | getEffectiveness () const
| Get the effectiveness value of the wrapped filter.
## Protected Member Functions
| WeightedFilter (Filter::View vFilter, int32_t nEffect)
| Construct the WeightedFilter.
## Protected Attributes
MemberView< Filter > | m_vFilter
| The wrapped filter.
int32_t | m_nEffect
| The effectiveness of the wrapped filter.

## Constructor & Destructor Documentation

WeightedFilter | ( | Filter::View | vFilter,
|  | int32_t | nEffect |
| ) |  |  | `[protected]`

Construct the WeightedFilter.

Parameters:

  | vFilter | the wrapped filter
  | nEffect | the filter's effectiveness

## Member Function Documentation

int32_t compareTo | ( | Object::View | v | ) | const

Compares this WeightedFilter with the specified WeightedFilter for order.

Returns a negative integer, zero, or a positive integer as this WeightedFilter's effectiveness is less than, equal to, or greater than the effectiveness of the specified WeightedFilter object.

Parameters:

  | v | the Object to be compared

Returns:
  a negative integer, zero, or a positive integer as this object is less than, equal to, or greater than the specified object

Exceptions:

  | ClassCastException | if the specified object's type prevents it from being compared to this WeightedFilter

Filter::View getFilter | ( |  | ) | const

Get the wrapped filter.

Returns:
  the wrapped filter

int32_t getEffectiveness | ( |  | ) | const

Get the effectiveness value of the wrapped filter.

Returns:
  the effectiveness of the wrapped filter

The documentation for this class was generated from the following file:

- coherence/util/filter/ArrayFilter.hpp

Copyright © 2000, 2010, Oracle and/or its affiliates. All rights reserved.